const express = require('express')
const https = require('https');
//
// Config
const Config = require('./Server/Config/Config');
// Logger
const Logger = require('./Server/Utils/Logger');
// Routers
const APIRouter = require('./Server/API/API');
// Soket.io
const io = require('socket.io');
// TV linker listener
const TVListener = require('./Server/FrameLinker/FrameLinker');

// App
const app = express()

const TAG = '[FramezServer]'

if(Config.server.enableSSL){
  // HTTPS server
  app = https.createServer({
      key: fs.readFileSync(Config.server.ssl.key),
      cert: fs.readFileSync(Config.server.ssl.cert),
      passphrase: fs.readFileSync(Config.server.ssl.passphrase)
    }, app);
}
const server = app.listen(Config.server.port,function(){
  Logger.info(TAG, `Running an ${(Config.server.enableSSL) ? 'HTTPS' : 'HTTP'}, and listening on port ${Config.server.port}`);
});

TVListener.init(io(server));




app.use('/api', APIRouter);
